using System.Collections.Generic;
using System.Linq;

namespace LinqExample
{
	class Program
	{
		static void Main(string[] args)
		{
			var numbers = new List<int>() { 0, 1, 2, 3, 4, 5, 6, 7, 8, 9 };

			IEnumerable<int> newNumbers = numbers
				.Where(x => x%2 == 0)
				.Select(x => x*2);

			//    newNumbers    ,
			//     

			numbers.Add(10);

			//       newNumbers  foreach,
			//         
			foreach (int n in newNumbers)
			{
				Console.WriteLine(n);
			}
		}
	}
}