﻿using System.Data.Linq;

namespace LinqToSqlManualExample
{
	public class HealthyFoodContext : DataContext
	{
		public HealthyFoodContext(string connectionString)
			: base(connectionString) { }

		public Table<Producer> Producers
		{
			get { return GetTable<Producer>(); }
		}

		public Table<Brand> Brands
		{
			get { return GetTable<Brand>(); }
		}

		public Table<Product> Products
		{
			get { return GetTable<Product>(); }
		}

		public Table<Ingredient> Ingredients
		{
			get { return GetTable<Ingredient>(); }
		}

		public Table<ProductIngredient> ProductIngredients
		{
			get { return GetTable<ProductIngredient>(); }
		}
	}
}
